<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ycwh.mapper.FamousSnacksMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="famousSnacksResultMap" type="org.springblade.modules.ycwh.entity.FamousSnacksEntity">
    </resultMap>


    <select id="selectFamousSnacksPage" resultMap="famousSnacksResultMap">
        select * from ycwh_famous_snacks where is_deleted = 0
    </select>


    <select id="exportFamousSnacks" resultType="org.springblade.modules.ycwh.excel.FamousSnacksExcel">
        SELECT * FROM ycwh_famous_snacks ${ew.customSqlSegment}
    </select>

</mapper>
